Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.awt
Class SpinButton

    java.lang.Object
      java.awt.Component
          java.awt.Canvas
              org.openide.awt.SpinButton

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible

Deprecated. Obsoleted by `javax.swing.JSpinner` in JDK 1.4

    public class SpinButton

extends Canvas

A class that produces a Spin Button.

Property | Property Type | Description
--- | --- | ---
Orientation | boolean | Orientation of SpinButton (Left-right or Up-down)
Minimum | int | Minimum value.
Maximum | int | Maximum value.
Step | int | Step.
Value | int | Current value.
RepeatDelay | int | Delay time after press SpinButton [ms]
RepeatRate | int | Repeat rate while holding PressButton [ms]

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Canvas
`Canvas.AccessibleAWTCanvas`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected boolean` | `arrowsOrientation` Deprecated. Current orientation of arrows of SpinButton.
`protected boolean` | `boundsIgnored` Deprecated.
`static int` | `DEFAULT_MAXIMUM` Deprecated. Default maximum.
`static int` | `DEFAULT_MINIMUM` Deprecated. Default minimum.
`static boolean` | `DEFAULT_ORIENTATION` Deprecated. Default orientation of SpinButton.
`static int` | `DEFAULT_REPEAT_DELAY` Deprecated. Default value of repeatDelay.
`static int` | `DEFAULT_REPEAT_RATE` Deprecated. Default value of repeatRate.
`static int` | `DEFAULT_STEP` Deprecated. Default step.
`protected int` | `maximum` Deprecated. Maximum of the range of the SpinButton.
`protected int` | `minimum` Deprecated. Minimum of the range of the SpinButton.
`protected boolean` | `orientation` Deprecated. Current orientation of SpinButton.
`protected int` | `repeatDelay` Deprecated. Adjusts the amount of time that elapses before a increment (or decrement) begins repeating when you hold down a mouse button.
`protected boolean` | `repeating` Deprecated. Flag if the SpinRepeatThread is currently running.
`protected int` | `repeatRate` Deprecated. Adjusts the speed at which a increment (or decrement) repeats when you hold down a mouse button.
`protected org.openide.awt.SpinButton.RepeatThread` | `rt` Deprecated. Spin repeat thread.
`protected boolean` | `running` Deprecated. Flag if the SpinRepeatThread is currently running.
`protected boolean` | `runningDir` Deprecated. Current direction of the run of the SpinRepeatThread.
`protected int` | `step` Deprecated. Step of the SpinButton.
`protected int` | `value` Deprecated. Value of the SpinButton.

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SpinButton()` Deprecated. Create new SpinButton.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)` Deprecated.
`void` | `addSpinButtonListener(SpinButtonListener spinButtonListener)` Deprecated.
`boolean` | `getArrowsOrientation()` Deprecated. Gets the current orientation of Arrows of SpinButton.
`int` | `getDelay()` Deprecated. Gets the current value of repeatDelay variable.
`int` | `getMaximum()` Deprecated. Gets the current maximum of the range of SpinButton.
`int` | `getMinimum()` Deprecated. Gets the current minimum of the range of SpinButton.
`Dimension` | `getMinimumSize()` Deprecated.
`boolean` | `getOrientation()` Deprecated. Gets the current orientation of SpinButton.
`Dimension` | `getPreferredSize()` Deprecated.
`int` | `getRate()` Deprecated. Gets the current value of rate variable.
`int` | `getStep()` Deprecated. Gets the current step of the SpinButton.
`int` | `getValue()` Deprecated. Gets the current value of the SpinButton.
`boolean` | `isBoundsIgnored()` Deprecated.
`boolean` | `isRepeating()` Deprecated.
`void` | `notifySpinButtonListenersAboutDownMove()` Deprecated.
`void` | `notifySpinButtonListenersAboutUpMove()` Deprecated.
`void` | `paint(Graphics g)` Deprecated.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` Deprecated.
`void` | `removeSpinButtonListener(SpinButtonListener spinButtonListener)` Deprecated.
`protected void` | `repeatThreadNotify()` Deprecated.
`void` | `setArrowsOrientation(boolean aDir)` Deprecated. Sets the new orientation of arows.
`void` | `setBoundsIgnored(boolean ignored)` Deprecated.
`void` | `setDelay(int aDelay)` Deprecated. Sets new value of repeatDelay variable.
`void` | `setForeground(Color color)` Deprecated. Setter method for foreground color.
`void` | `setMaximum(int aMax)` Deprecated. Sets a maximum of the range of the SpinButton.
`void` | `setMinimum(int aMin)` Deprecated. Sets a minimum of the range of the SpinButton.
`void` | `setOrientation(boolean aDir)` Deprecated. Sets the new orientation.
`void` | `setRate(int aRate)` Deprecated. Sets new value of repeatRate variable.
`void` | `setRepeating(boolean aRepeating)` Deprecated.
`void` | `setStep(int aStep)` Deprecated. Sets a new step of the SpinButton.
`void` | `setValue(int aValue)` Deprecated. Sets a new value of the SpinButton.
`protected void` | `switchRun(boolean aDirect)` Deprecated.
`void` | `switchStop()` Deprecated.

Methods inherited from class java.awt.Canvas
`addNotify, createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy, update`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_ORIENTATION

    public static final boolean DEFAULT_ORIENTATION

  Deprecated.
  Default orientation of SpinButton. Currently false (UP-DOWN).

  See Also:
    `DEFAULT_ORIENTATION`, `setOrientation(boolean)`, `getOrientation()`, Constant Field Values

### DEFAULT_MINIMUM

    public static final int DEFAULT_MINIMUM

  Deprecated.
  Default minimum. Currently 0.

  See Also:
    `minimum`, `setMinimum(int)`, `getMinimum()`, Constant Field Values

### DEFAULT_MAXIMUM

    public static final int DEFAULT_MAXIMUM

  Deprecated.
  Default maximum. Currently 100.

  See Also:
    `maximum`, `setMaximum(int)`, `getMaximum()`, Constant Field Values

### DEFAULT_STEP

    public static final int DEFAULT_STEP

  Deprecated.
  Default step. Currently 1.

  See Also:
    `step`, `setStep(int)`, `getStep()`, Constant Field Values

### DEFAULT_REPEAT_DELAY

    public static final int DEFAULT_REPEAT_DELAY

  Deprecated.
  Default value of repeatDelay. Currently 300 ms.

  See Also:
    `setDelay(int)`, `getDelay()`, `repeatDelay`, Constant Field Values

### DEFAULT_REPEAT_RATE

    public static final int DEFAULT_REPEAT_RATE

  Deprecated.
  Default value of repeatRate. Currently 70 ms.

  See Also:
    `setRate(int)`, `getRate()`, `repeatRate`, Constant Field Values

### orientation

    protected boolean orientation

  Deprecated.
  Current orientation of SpinButton. True = LEFT-RIGHT, False = UP-DOWN

  See Also:
    `DEFAULT_ORIENTATION`, `setOrientation(boolean)`, `getOrientation()`

### arrowsOrientation

    protected boolean arrowsOrientation

  Deprecated.
  Current orientation of arrows of SpinButton. True = LEFT-RIGHT, False = UP-DOWN

  See Also:
    `DEFAULT_ORIENTATION`, `setOrientation(boolean)`, `getOrientation()`

### minimum

    protected int minimum

  Deprecated.
  Minimum of the range of the SpinButton.

  See Also:
    `DEFAULT_MINIMUM`, `setMinimum(int)`, `getMinimum()`

### maximum

    protected int maximum

  Deprecated.
  Maximum of the range of the SpinButton.

  See Also:
    `DEFAULT_MAXIMUM`, `setMaximum(int)`, `getMaximum()`

### step

    protected int step

  Deprecated.
  Step of the SpinButton.

  See Also:
    `DEFAULT_STEP`, `setStep(int)`, `getStep()`

### value

    protected int value

  Deprecated.
  Value of the SpinButton. Default 0.

  See Also:
    `setValue(int)`, `getValue()`

### repeatDelay

    protected int repeatDelay

  Deprecated.
  Adjusts the amount of time that elapses before a increment (or decrement) begins repeating when you hold down a mouse button. [ms]

  See Also:
    `setDelay(int)`, `getDelay()`, `DEFAULT_REPEAT_DELAY`

### repeatRate

    protected int repeatRate

  Deprecated.
  Adjusts the speed at which a increment (or decrement) repeats when you hold down a mouse button. [ms]

  See Also:
    `setRate(int)`, `getRate()`, `DEFAULT_REPEAT_RATE`

### rt

    protected org.openide.awt.SpinButton.RepeatThread rt

  Deprecated.
  Spin repeat thread. When the SpinButton is holded this thread runs and regulary sends the events to SpinButton.

### running

    protected boolean running

  Deprecated.
  Flag if the SpinRepeatThread is currently running.

### repeating

    protected boolean repeating

  Deprecated.
  Flag if the SpinRepeatThread is currently running.

### runningDir

    protected boolean runningDir

  Deprecated.
  Current direction of the run of the SpinRepeatThread.

### boundsIgnored

    protected boolean boundsIgnored

  Deprecated.

Constructor Detail

### SpinButton

    public SpinButton()

  Deprecated.
  Create new SpinButton.

Method Detail

### setForeground

    public void setForeground(Color color)

  Deprecated.
  Setter method for foreground color.

  Overrides:
    `setForeground` in class `Component`
  Parameters:
    `color` - New foreground color.

### setOrientation

    public void setOrientation(boolean aDir)

  Deprecated.
  Sets the new orientation.

  Parameters:
    `aDir` - new value of orientation.
  See Also:
    `orientation`, `DEFAULT_ORIENTATION`, `getOrientation()`

### setArrowsOrientation

    public void setArrowsOrientation(boolean aDir)

  Deprecated.
  Sets the new orientation of arows.

  Parameters:
    `aDir` - new value of orientation of arows.
  See Also:
    `orientation`, `DEFAULT_ORIENTATION`, `getOrientation()`

### getOrientation

    public boolean getOrientation()

  Deprecated.
  Gets the current orientation of SpinButton.

  Returns:
    value of orientation.
  See Also:
    `orientation`, `DEFAULT_ORIENTATION`, `setOrientation(boolean)`

### getArrowsOrientation

    public boolean getArrowsOrientation()

  Deprecated.
  Gets the current orientation of Arrows of SpinButton.

  Returns:
    value of orientation of Arrows.
  See Also:
    `orientation`, `DEFAULT_ORIENTATION`, `setOrientation(boolean)`

### setMinimum

    public void setMinimum(int aMin)

  Deprecated.
  Sets a minimum of the range of the SpinButton. If value or maximum fall out of acceptable values they are adjusted.

  Parameters:
    `aMin` - New minimum.
  See Also:
    `getMinimum()`

### getMinimum

    public int getMinimum()

  Deprecated.
  Gets the current minimum of the range of SpinButton.

  Returns:
    Minimum.
  See Also:
    `setMinimum(int)`

### setMaximum

    public void setMaximum(int aMax)

  Deprecated.
  Sets a maximum of the range of the SpinButton. If value or minimum fall out of acceptable values they are adjusted.

  Parameters:
    `aMax` - New maximum.
  See Also:
    `getMinimum()`

### getMaximum

    public int getMaximum()

  Deprecated.
  Gets the current maximum of the range of SpinButton.

  Returns:
    Maximum.
  See Also:
    `setMaximum(int)`

### setValue

    public void setValue(int aValue)

  Deprecated.
  Sets a new value of the SpinButton. If value is outside the ranges it is set to nearest acceptable value.

  Parameters:
    `aValue` - New value.
  See Also:
    `getValue()`

### getValue

    public int getValue()

  Deprecated.
  Gets the current value of the SpinButton.

  Returns:
    Value.
  See Also:
    `setValue(int)`

### setStep

    public void setStep(int aStep)

  Deprecated.
  Sets a new step of the SpinButton.

  Parameters:
    `aStep` - New step.
  See Also:
    `getStep()`

### getStep

    public int getStep()

  Deprecated.
  Gets the current step of the SpinButton.

  Returns:
    Step.
  See Also:
    `setStep(int)`

### setDelay

    public void setDelay(int aDelay)

  Deprecated.
  Sets new value of repeatDelay variable.

  Parameters:
    `aDelay` - New delay.
  See Also:
    `repeatDelay`, `getDelay()`

### getDelay

    public int getDelay()

  Deprecated.
  Gets the current value of repeatDelay variable.

  Returns:
    Delay.
  See Also:
    `repeatDelay`, `setDelay(int)`

### setRate

    public void setRate(int aRate)

  Deprecated.
  Sets new value of repeatRate variable.

  Parameters:
    `aRate` - New rate.
  See Also:
    `repeatRate`, `getRate()`

### getRate

    public int getRate()

  Deprecated.
  Gets the current value of rate variable.

  Returns:
    Rate.
  See Also:
    `repeatRate`, `setRate(int)`

### isBoundsIgnored

    public boolean isBoundsIgnored()

  Deprecated.

### setBoundsIgnored

    public void setBoundsIgnored(boolean ignored)

  Deprecated.

### isRepeating

    public boolean isRepeating()

  Deprecated.

### setRepeating

    public void setRepeating(boolean aRepeating)

  Deprecated.

### paint

    public void paint(Graphics g)

  Deprecated.
  Overrides:
    `paint` in class `Canvas`

### switchRun

    protected void switchRun(boolean aDirect)

  Deprecated.

### switchStop

    public void switchStop()

  Deprecated.

### getMinimumSize

    public Dimension getMinimumSize()

  Deprecated.
  Overrides:
    `getMinimumSize` in class `Component`

### getPreferredSize

    public Dimension getPreferredSize()

  Deprecated.
  Overrides:
    `getPreferredSize` in class `Component`

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener l)

  Deprecated.
  Overrides:
    `addPropertyChangeListener` in class `Component`

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener l)

  Deprecated.
  Overrides:
    `removePropertyChangeListener` in class `Component`

### addSpinButtonListener

    public void addSpinButtonListener(SpinButtonListener spinButtonListener)

  Deprecated.

### removeSpinButtonListener

    public void removeSpinButtonListener(SpinButtonListener spinButtonListener)

  Deprecated.

### notifySpinButtonListenersAboutUpMove

    public void notifySpinButtonListenersAboutUpMove()

  Deprecated.

### notifySpinButtonListenersAboutDownMove

    public void notifySpinButtonListenersAboutDownMove()

  Deprecated.

### repeatThreadNotify

    protected void repeatThreadNotify()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.